/* Copyright (c) 2014 The Chromium Authors. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file. */

/* Special attribute used in HTML to hide elements. */
body:not([type]) [visibleif] {
  display: none;
}

body[type='folder'] [invisibleif~='folder'],
body[type='upload-folder'] [invisibleif~='upload-folder'],
body[type='saveas-file'] [invisibleif~='saveas-file'],
body[type='open-file'] [invisibleif~='open-file'],
body[type='open-multi-file'] [invisibleif~='open-multi-file'],
body[type='full-page'] [invisibleif~='full-page'],

body[type='folder'] [visibleif]:not([visibleif~='folder']),
body[type='upload-folder'] [visibleif]:not([visibleif~='upload-folder']),
body[type='saveas-file'] [visibleif]:not([visibleif~='saveas-file']),
body[type='open-file'] [visibleif]:not([visibleif~='open-file']),
body[type='open-multi-file'] [visibleif]:not([visibleif~='open-multi-file']),
body[type='full-page'] [visibleif]:not([visibleif~='full-page']) {
  display: none !important;
}

html {
  height: 100%;
  overflow: hidden;
}

html.col-resize * {
  cursor: col-resize !important;
}

/* Outer frame of the dialog. */
body {
  -webkit-tap-highlight-color: transparent;
  cursor: default;
  display: flex;
  flex: auto;
  flex-direction: column;
  font-size: 81%;
  height: 100%;
  margin: 0;
  padding: 0;
  user-select: none;
  width: 100%;
}

body.files-ng {
  font-size: 13px;
}

button:focus,
input[type='button']:focus,
input[type='submit']:focus,
select:focus,
a:focus {
  background-color: rgba(255, 255, 255, 20%);
  outline-color: rgb(77, 144, 254);
}

/* Drop opacity of selected rows to give a visual feedback on copy/cut
 * operation. */
.blink {
  opacity: 0.8;
}

/* Main part of the dialog between header and footer. */
.dialog-container {
  align-items: stretch;
  background-color: rgb(250, 250, 250);  /* Makes #drag-container invisible. */
  display: flex;
  flex: auto;
  flex-direction: row;
  overflow: hidden;
  position: relative;
}

body.files-ng .dialog-container {
  background-color: var(--cros-bg-color);
}

/* List and grid are inside this container. */
.dialog-main {
  align-items: stretch;
  background: rgb(245, 245, 245);
  display: flex;
  flex: auto;
  flex-direction: column;
}

body.files-ng .dialog-main {
  background-color: inherit;
}

/* Directory tree at the left. */
.dialog-navigation-list {
  background-color: rgb(250, 250, 250);
  border-inline-end: 1px solid rgba(0, 0, 0, 15%);
  display: flex;
  flex: none;
  flex-direction: column;
  max-width: 40%;
  min-width: 105px;
  overflow: auto;
  position: relative;
  width: 240px;
}

body.files-ng .dialog-navigation-list {
  background-color: inherit;
  border-inline-end: none;
}

.dialog-navigation-list-contents {
  display: flex;
  flex: 1 1 auto;
  margin-top: 8px;
  position: relative;
}

#directory-tree {
  bottom: 0;
  flex: none;
  left: 0;
  overflow-x: hidden;
  overflow-y: auto;
  position: absolute;   /* TODO(adanilo): crbug.com/212268 still needed? */
  right: 0;
  top: 0;
}

html.col-resize #directory-tree,
html.breadcrumb-elider-expanded #directory-tree {
  overflow-y: hidden;
}

#directory-tree:not([files-ng]) .tree-item[section-start] {
  border-top: 1px solid rgba(0, 0, 0, 10%);
}

#directory-tree[files-ng] .tree-item[section-start]::before {
  border-bottom: 1px solid var(--cr-separator-color, rgb(224, 224, 224));
  content: '';
  display: block;
  margin: 8px 0;
  width: 100%;
}

#directory-tree:not([files-ng]) .tree-row {
  align-items: center;
  color: rgb(90, 90, 90);
  cursor: pointer;
  display: flex;
  height: 40px;
  padding: 0 3px;
}

#directory-tree[files-ng] .tree-row {
  cursor: pointer;
  height: auto;
  padding: 4px 0;
}

#directory-tree .tree-row > .file-row {
  align-items: center;
  border: 1px solid transparent;
  border-inline-start-width: 0 !important;
  border-radius: 0 20px 20px 0;
  box-sizing: border-box;
  color: var(--google-grey-700);
  display: flex;
  height: 32px;
  margin-inline-end: 6px;
}

html[dir='rtl'] #directory-tree .tree-row > .file-row {
  border-radius: 20px 0 0 20px;
}

#directory-tree .tree-row > .expand-icon {
  flex: none;
  height: 36px;
  left: 3px;
  margin: -12px -2px;
  right: 3px;
  top: 0;
  width: 36px;
}

#directory-tree .tree-row > .file-row > .expand-icon {
  box-sizing: border-box;
  flex: none;
  height: 32px;
  padding: 6px;
  width: 32px;
}

#directory-tree .tree-row > .item-icon {
  flex: none;
  height: 16px;
  width: 16px;
}

#directory-tree .tree-row > .file-row > .item-icon {
  -webkit-mask-position: center;
  -webkit-mask-repeat: no-repeat;
  background-color: currentColor;
  background-image: none;
  flex: none;
  height: 20px;
  left: -4px;
  position: relative;
  right: -4px;
  width: 20px;
}

#directory-tree .tree-row > .file-row > .item-icon[style*='background-image'] {
  background-color: transparent;
  background-position: center;
  background-repeat: no-repeat;
  background-size: 16px 16px;
}

#directory-tree .tree-row > .label {
  display: block;
  flex: auto;
  font-weight: 500;
  margin: 0 6px;
  overflow: hidden;
  text-overflow: ellipsis;
}

#directory-tree .tree-row > .file-row > .label {
  display: block;
  flex: auto;
  font-weight: 500;
  margin: 0 12px;
  overflow: hidden;
  text-overflow: ellipsis;
}

#directory-tree .tree-row .rename-placeholder {
  flex: auto;
  font-weight: 500;
}

#directory-tree .tree-row > .rename-placeholder {
  display: block;
  margin: 0 6px;
}

#directory-tree .tree-row .rename-placeholder > input {
  width: 100%;
}

#directory-tree [renaming] .root-eject {
  display: none;
}

#directory-tree [renaming] > .tree-row > .label,
#directory-tree [renaming] > .tree-row > .file-row > .label {
  display: none;
}

#directory-tree .tree-row > input {
  display: none;
  margin: 0 6px;
  overflow: hidden;
}

#directory-tree .tree-row > .file-row > input {
  display: none;
  margin: 0 10px;
  overflow: hidden;
}

#directory-tree [renaming] > .tree-row > input,
#directory-tree [renaming] > .tree-row > .file-row > input {
  display: block;
}

#directory-tree:not([files-ng]) .tree-row > paper-ripple {
  color: rgb(51, 103, 214);
}

#directory-tree:not([files-ng]) [renaming] > .tree-row > paper-ripple {
  display: none;
}

#directory-tree:not([files-ng]) .tree-item.accepts > .tree-row,
#directory-tree:not([files-ng]) .tree-row[selected] {
  color: rgb(51, 103, 214);
}

#directory-tree:not([files-ng]):focus .tree-row[selected] {
  background-color: rgb(216, 223, 240);
}

html:not(.col-resize) #directory-tree
    .tree-row:not([active]):not([selected]):hover > .file-row {
  background-color: var(--google-grey-100);
}

html.pointer-active #directory-tree
    .tree-row:not([active]):not([selected]) > .file-row:active {
  background-color: var(--google-grey-100);
}

html.pointer-active #directory-tree
    .tree-row:not([active]):not([selected]):hover > .file-row:not(:active) {
  background-color: unset;
}

html.pointer-active #directory-tree :not(:active) {
  cursor: default;
}

html.drag-drop-active #directory-tree .tree-item.denies > .tree-row > .file-row {
  background-color: var(--google-red-50);
}

html.drag-drop-active #directory-tree .tree-item.accepts > .tree-row > .file-row {
  background-color: var(--google-grey-100);
}

html.focus-outline-visible #directory-tree:focus .tree-row[selected] > .file-row {
  border: 1px solid var(--google-blue-600);
}

#directory-tree .tree-row[active] > .file-row {
  background-color: var(--google-blue-50);
  color: var(--google-blue-600);
}

#directory-tree .tree-row > .align-right-icon {
  --iron-icon-height: 16px;
  --iron-icon-width: 16px;
  border-style: none;
  flex: none;
  height: 40px;
  position: relative;
  width: 40px;
  z-index: 1;
}

#directory-tree .tree-row > .file-row > .align-right-icon {
  --iron-icon-height: 20px;
  --iron-icon-width: 20px;
  border-radius: 16px;
  border-style: none;
  box-sizing: border-box;
  flex: none;
  height: 32px;
  left: 1px;
  position: relative;
  right: 1px;
  width: 32px;
  z-index: 1;
}

#directory-tree .tree-row > .external-link-icon iron-icon {
  padding: 12px;
}

#directory-tree .tree-row > .file-row > .external-link-icon iron-icon {
  padding: 6px;
}

#directory-tree .tree-row > .root-eject {
  --text-color: currentColor;
  min-width: 40px;
  padding: 12px;
}

#directory-tree .tree-row > .file-row > .root-eject {
  --text-color: currentColor;
  --hover-bg-color: rgba(0, 0, 0, 4%);
  min-width: 32px;
  padding: 0;
}

html.col-resize #directory-tree .tree-row > .root-eject:hover {
  --hover-bg-color: none;
}

html.col-resize #directory-tree .tree-row > .file-row > .root-eject:hover {
  --hover-bg-color: none;
}

#directory-tree .tree-row > .root-eject:focus {
  outline: 1px auto rgb(77, 144, 254);
}

#directory-tree .tree-row > .file-row > .root-eject:focus {
  border: 1px solid var(--google-blue-600);
}

#directory-tree .tree-row > .root-eject:active {
  border-radius: 20px;
  outline-width: 0;
}

#directory-tree .tree-row > .file-row > .root-eject:active {
  --ink-color: rgba(0, 0, 0, 88%);
  border-width: 0;
}

#directory-tree .root-item[disabled] {
  opacity: 0.5;
  pointer-events: none;
}

/* A vertical splitter between the directory tree and the file list. It is
   a transparent area centered on the directory tree right border. */
body:not(.files-ng) div.splitter {
  cursor: col-resize;
  flex: none;
  margin: 0 -3px;
  position: relative;
  width: 6px;
  z-index: 500;  /* Must be below the contextmenu (600). */
}

body.files-ng div.splitter {
  align-items: center;
  cursor: col-resize;
  display: flex;
  flex: none;
  justify-content: center;
  margin: 0;
  margin-inline-end: calc(16px - 6px);
  position: relative;
  width: 32px;
  z-index: 500;  /* Must be below the contextmenu (600). */
}

body:not(.files-ng) div.splitter .splitter-button {
  display: none;
}

body.files-ng div.splitter .splitter-button {
  --hover-bg-color: rgba(0, 0, 0, 4%);
  --ink-color: rgba(0, 0, 0, 88%);
  border: none;
  border-radius: 50%;
  cursor: col-resize;
  height: 32px;
  min-width: 32px;
  padding: 0;
  width: 32px;
}

html.pointer-active body.files-ng div.splitter:not(.splitter-active):hover {
  cursor: default;
}

body.files-ng div.splitter.splitter-active .splitter-button:hover {
  --hover-bg-color: none;
}

html.col-resize body.files-ng div.splitter:not(.splitter-active) .splitter-button:hover {
  --hover-bg-color: none;
}

html.pointer-active body.files-ng div.splitter:not(.splitter-active) .splitter-button:not(:active):hover {
  --hover-bg-color: none;
  cursor: default;
}

body.files-ng div.splitter.splitter-active .splitter-button:not(:active) {
  background-color: rgba(var(--google-grey-300-rgb), 88%);
}

body.files-ng div.splitter .splitter-button .icon {
  -webkit-mask-image: url(../images/common/dragger.svg);
  -webkit-mask-position: center;
  -webkit-mask-repeat: no-repeat;
  height: 20px;
  padding: 6px;
  width: 20px;
}

body.files-ng div.splitter:not(.splitter-active) .splitter-button .icon {
  background-color: var(--google-grey-400);
}

html:not(.col-resize) body.files-ng div.splitter:not(.splitter-active) .splitter-button:hover .icon {
  background-color: var(--google-grey-500);
}

html.pointer-active body.files-ng div.splitter:not(.splitter-active) .splitter-button:not(:active):hover .icon {
  background-color: var(--google-grey-400);
  cursor: default;
}

body.files-ng div.splitter.splitter-active .splitter-button .icon {
  background-color: var(--google-grey-500);
}

/* Breadcrumbs and things under the title but above the list view. */
.dialog-header {
  align-items: center;
  background: rgb(51, 103, 214);
  box-sizing: border-box;
  color: white;
  display: flex;
  flex: none;
  flex-direction: row;
  height: 48px;
  transition: background 220ms ease;
}

.dialog-header.files-ng {
  background: none;
  border-bottom: 1px solid var(--cr-separator-color, rgb(224, 224, 224));
  color: var(--google-grey-700);
  font-size: 14px;
  height: 56px;
  overflow: hidden;
}

body.check-select .dialog-header {
  background: white;
  border-bottom: 1px solid rgb(219, 219, 219);
  border-top: 1px solid transparent;
}

body.check-select .dialog-header:not(.files-ng) {
  color: rgb(90, 90, 90);
}

body.check-select .dialog-header.files-ng {
  color: var(--google-blue-600);
}

/* Display a grey border during check-select mode if we're in a dialog. (This
   can only happen in an open-multi-file dialog). */
body[type='open-multi-file'].check-select .dialog-header {
  border-top: 1px solid rgb(219, 219, 219);
}

.dialog-header > .spacer {
  flex: auto;
}

.dialog-header cr-button,
.dialog-header button {
  border: none;
  border-radius: 2px;
  box-sizing: border-box;
  cursor: pointer;
  height: 32px;
  margin: 0 8px;
  min-width: 32px;
  padding: 0;
  position: relative;
  text-transform: uppercase;
  z-index: 1;
}

body:not(check-select) .dialog-header:not(.files-ng) cr-button {
  --text-color: white;
}

body.check-select .dialog-header:not(.files-ng) cr-button {
  --text-color: rgb(90, 90, 90);
}

.dialog-header.files-ng cr-button,
.dialog-header.files-ng button {
  --hover-bg-color: rgba(0, 0, 0, 4%);
  --ink-color: rgba(0, 0, 0, 88%);
  --text-color: currentColor;
  border: 1px solid transparent;
  border-radius: 18px;
  color: var(--google-grey-700);
  height: 36px;
  margin: 0 6px;
  min-width: 36px;
}

html.pointer-active .dialog-header.files-ng cr-button:not(:active):hover {
  background-color: unset;
  cursor: default;
}

.dialog-header.files-ng cr-button::after {
  content: '';
  height: 48px;
  position: absolute;
  width: 48px;
}

.dialog-header.files-ng button[menu-shown] {
  background-color: rgba(0, 0, 0, 12%);
}

.dialog-header.files-ng button:not([menu-shown]):not(:active):hover {
  background-color: rgba(0, 0, 0, 4%);
}

html.pointer-active .dialog-header.files-ng button:not([menu-shown]):not(:active):hover {
  background-color: unset;
  cursor: default;
}

.dialog-header.files-ng button:active {
  background-color: rgba(0, 0, 0, 12%);
}

html.focus-outline-visible .dialog-header.files-ng cr-button:not(:active):focus,
html.focus-outline-visible .dialog-header.files-ng button:not(:active):focus {
  border: 1px solid var(--google-blue-600);
}

.dialog-header.files-ng files-ripple,
.dialog-header.files-ng files-toggle-ripple {
  display: none;
}

body:not(.check-select) .dialog-header:not(.files-ng) button,
body:not(.check-select) .dialog-header:not(.files-ng) button:hover {
  color: white;
}

body.check-select button,
body.check-select button:hover {
  color: rgb(90, 90, 90);
}

.dialog-header .icon-button > paper-ripple,
.dialog-header .ripples > paper-ripple {
  color: black;
}

body.check-select .dialog-header button paper-ripple {
  color: rgb(90, 90, 90);
}

/** Avoid highlighting if element doesn't have focus by tab (tabindex=-1)
 *  or if focusing during mouse click event ":active" pseudo-selector. */
html:not(.files-ng) .dialog-header
    .menu-button:focus:not([tabindex='-1']):not(:active) {
  background-color: rgba(255, 255, 255, 20%);
}

html.focus-outline-visible.files-ng .dialog-header
    .menu-button:focus:not([tabindex='-1']):not(:active) {
  background-color: rgba(255, 255, 255, 20%);
}

body.check-select .dialog-header
    .menu-button:focus:not([tabindex='-1']):not(:active) {
  background-color: rgba(153, 153, 153, 20%);
}

.dialog-header iron-icon,
.dialog-header .icon {
  height: 16px;
  width: 16px;
}

.dialog-header cr-button {
  line-height: 32px;
  padding: 0 8px;
}

.dialog-header button.icon-button {
  -webkit-app-region: no-drag;
  background-color: transparent;
  background-image: none;
  background-position: center;
  background-repeat: no-repeat;
  box-shadow: none;
  outline: none;
  position: relative;
}

.dialog-header button.icon-button > iron-icon {
  margin: 8px;
}

.dialog-header button.icon-button > files-toggle-ripple {
  height: 28px;
  left: 2px;
  top: 2px;
  width: 28px;
}

html[dir='rtl'] .dialog-header button.icon-button > files-toggle-ripple {
  left: auto;
  right: 2px;
}

.dialog-header button.icon-button > .icon,
.dialog-header cr-button.icon-button > .icon {
  background-position: center;
  background-repeat: no-repeat;
  height: 100%;
  left: 0;
  position: absolute;
  top: 0;
  width: 32px;
}

.dialog-header.files-ng cr-button > .icon {
  height: 20px;
  padding: calc(8px - 1px);
  width: 20px;
}

.dialog-header.files-ng #tasks {
  border-radius: 4px;
  height: 32px;
  padding: 0 12px;
}

.dialog-header.files-ng cr-button > .icon,
.dialog-header.files-ng button > .icon,
.dialog-header.files-ng #search-box .clear,
.dialog-header.files-ng #read-only-icon,
.dialog-header.files-ng .breadcrumbs .separator {
  -webkit-mask-position: center;
  -webkit-mask-repeat: no-repeat;
  background-color: currentColor;
  background-image: none;
}

.dialog-header #search-wrapper {
  display: flex;
}

.dialog-header.files-ng #search-wrapper {
  align-items: center;
  border-radius: 4px;
  height: 40px;
  transition: background-color 200ms ease;
}

.dialog-header.files-ng #search-wrapper.has-cursor,
.dialog-header.files-ng #search-wrapper.has-text,
.dialog-header.files-ng #search-wrapper.hide-pending {
  background-color: var(--google-grey-100);
  margin-inline-end: 16px;
}

.dialog-header #search-box cr-input {
  --cr-input-background-color: transparent;
  --cr-input-border-radius: 0;
  --cr-input-error-display: none;
  --cr-input-padding-end: 20px;
  --cr-input-padding-start: 0;
  display: inline-block;
  transition: width 200ms ease;
  vertical-align: middle;
  width: 0;
}

.dialog-header.files-ng #search-button > .icon {
  -webkit-mask-image: url(../images/files/ui/search.svg);
}

.dialog-header.files-ng #share-menu-button > .icon {
  -webkit-mask-image: url(../images/files/ui/share_ng.svg);
  height: 48px;
  margin-inline-end: -7px;
  margin-inline-start: -7px;
  margin-top: -7px;
  position: absolute;
  width: 48px;
}

.dialog-header.files-ng #sharesheet-button > .icon {
  -webkit-mask-image: url(../images/files/ui/share_ng.svg);
}

.dialog-header.files-ng #delete-button > .icon {
  -webkit-mask-image: url(../images/files/ui/delete_ng.svg);
}

body.check-select .dialog-header #delete-button > .icon {
  background-image: url(../images/files/ui/delete.svg);
}

.dialog-header #restore-from-trash-button > .icon {
  -webkit-mask-image: url(../images/files/ui/restore.svg);
}

.dialog-header.files-ng #refresh-button > .icon {
  -webkit-mask-image: url(../images/files/ui/refresh.svg);
}

.dialog-header.files-ng #view-button > .icon {
  -webkit-mask-image: url(../images/files/ui/view_list.svg);
}

body.check-select #view-button {
  display: none;
}

.dialog-header.files-ng #view-button.thumbnail > .icon {
  -webkit-mask-image: url(../images/files/ui/view_thumbnail.svg);
}

body.check-select #view-button.thumbnail {
  display: none;
}

.dialog-header.files-ng #sort-button > .icon {
  -webkit-mask-image: url(../images/files/ui/sorting_ng.svg);
  height: 48px;
  margin-inline-end: -7px;
  margin-inline-start: -7px;
  margin-top: -7px;
  position: absolute;
  width: 48px;
}

body.check-select #sort-button {
  display: none;
}

.dialog-header.files-ng #gear-button > .icon {
  -webkit-mask-image: url(../images/files/ui/menu_ng.svg);
  height: 48px;
  margin-inline-end: -7px;
  margin-inline-start: -7px;
  margin-top: -7px;
  position: absolute;
  width: 48px;
}
body.check-select #gear-button {
  display: none;
}

.dialog-header.files-ng #selection-menu-button > .icon {
  -webkit-mask-image: url(../images/files/ui/menu_ng.svg);
  height: 48px;
  margin-inline-end: -7px;
  margin-inline-start: -7px;
  margin-top: -7px;
  position: absolute;
  width: 48px;
}

body:not(.check-select) #selection-menu-button {
  display: none;
}

.cloud-import-combo-button {
  position: relative;
}

.cloud-import-combo-button > .buttons {
  display: flex;
}

.cloud-import-combo-button > .buttons > #cloud-import-button {
  margin: 0;
}

.cloud-import-combo-button > .buttons > #cloud-import-details-button {
  margin-inline-end: 0;
}

#cloud-import-details-button {
  margin-inline-start: -10px;
  width: 24px;
}

#cloud-import-details-button iron-icon {
  margin: 8px 4px;
}

#cloud-import-details {
  background-color: white;
  border-radius: 2px;
  box-shadow: 0 4px 5px 0 rgba(0, 0, 0, 14%),
              0 1px 10px 0 rgba(0, 0, 0, 12%),
              0 2px 4px -1px rgba(0, 0, 0, 40%);
  line-height: 1.5em;
  position: absolute;
  top: 42px;  /* Positioned just overlapping the top of the toolbar */
  transition: all 200ms ease;
  width: 270px;
  z-index: 550;
}

/* These horizontal positions for #cloud-import-details are fallback value.
   Usually, these positions are calculated based on the position of dropdown.
   These fallback values will be used when the cloud import penel is shown
   before the toolbar buttons are fully laid out. */
html[dir='ltr'] #cloud-import-details {
  right: 148px;  /* Positioned in relation to the cloud-import toolbar button */
}

html[dir='rtl'] #cloud-import-details {
  left: 148px;  /* Positioned in relation to the cloud-import toolbar button */
}

#cloud-import-details.hidden {
  opacity: 0;
  transform: translateY(-10px);
}

#cloud-import-details .banner {
  background-color: rgb(55, 71, 79);
  border-radius: 2px 2px 0 0;
  color: white;
  padding: 20px;
}

#cloud-import-details .banner .title {
  font-size: 122%;
  font-weight: 500;
  margin-bottom: 5px;
}

#cloud-import-details .main {
  display: flex;
  flex-direction: column;
  padding: 20px;
}

#cloud-import-details .status {
  display: flex;
  flex-direction: row;
  margin-top: .2em;
}

#cloud-import-details .status iron-icon {
  display: block;
  height: 16px;
  opacity: .6;
  width: 16px;
}

#cloud-import-details .status .content {
  color: #646464;
  flex: 1;
  padding-inline-start: 10px;
}

#cloud-import-details .status .content::first-line {
  color: #333;
  font-size: 110%;
}

#cloud-import-details .status a[is='action-link'] {
  color: rgb(51, 103, 214);
}

#cloud-import-details .progress {
  background-color: #E0E0E0;
  border-radius: 2px;
  height: 4px;
  margin-top: 14px;
  width: 100%;
}

#cloud-import-details .progress .value {
  background-color: rgb(26, 194, 34);
  border-radius: 2px;
  height: 4px;
  transition: width 100ms linear;
  width: 0;
}

#cloud-import-details cr-button {
  --ink-color: white;
  align-self: flex-end;
  border: none;
  box-shadow: none;
  color: white;
  font-weight: 500;
  margin-top: 20px;
  padding: 0;
  text-transform: uppercase;
}

#cloud-import-details cr-button.import {
  background-color: rgb(51, 103, 214);
}

#cloud-import-details cr-button.cancel {
  background-color: rgb(219, 68, 55);
}

#files-selected-label {
  display: none;
  font-weight: 500;
}

body:not(.files-ng) #files-selected-label {
  margin-inline-start: 20px;
}

body.files-ng #files-selected-label {
  margin-inline-start: 8px;
}

body.check-select #files-selected-label {
  display: block;
}

#cancel-selection-button {
  --ink-color: currentColor;
  border: none;
  box-shadow: none;
  color: currentColor;
  display: flex;
  text-transform: none;
}

body:not(.files-ng) #cancel-selection-button {
  background-color: transparent;
}

/* TODO(adanilo) document the calc() reason. */
body.files-ng #cancel-selection-button {
  border: 1px solid transparent;
  margin-inline-start: calc(10px + 1px);
  width: 36px;
}

body:not(.files-ng) #cancel-selection-button:focus:not([tabindex='-1']):not(:active) {
  background-color: rgba(153, 153, 153, 20%);
}

html.focus-outline-visible body.files-ng #cancel-selection-button:focus:not([tabindex='-1']):not(:active) {
  border: 1px solid var(--google-blue-600);
}

body:not(.files-ng) #cancel-selection-button > span {
  display: inline-block;
  font-weight: 500;
  vertical-align: middle;
}

body.files-ng #cancel-selection-button > span#cancel-selection-label {
  display: none;
}

body.files-ng #cancel-selection-button .icon-arrow-back {
  -webkit-mask-image: url(../images/files/ui/list_check.svg);
  -webkit-mask-position: center;
  -webkit-mask-repeat: no-repeat;
  background-color: var(--google-blue-600);
  flex: none;
  height: 20px;
  width: 20px;
}

body:not(.files-ng) #cancel-selection-button-wrapper {
  width: 240px;  /* initial value, same as .dialog-navigation-list's width. */
}

#cancel-selection-button-wrapper {
  display: none;
}

#cancel-selection-button > iron-icon {
  margin-inline-end: 6px;
}

#cancel-selection-label {
  flex: auto;
  line-height: 31px;
  overflow: hidden;
  padding-top: 1px;
  text-overflow: ellipsis;
  white-space: nowrap;
}

body.check-select #cancel-selection-button-wrapper {
  display: block;
}

/* Search button */
body.check-select #search-button {
  display: none;
}

/* Search box */
#search-box {
  display: flex;
  flex: none;
  font-size: 14px;
}

.dialog-header:not(.files-ng) #search-box cr-input {
  --cr-input-border-bottom: 1px solid rgba(255, 255, 255, 50%);
  --cr-input-color: white;
  --cr-input-focus-color: white;
  --cr-input-placeholder-color: rgba(255, 255, 255, 50%);
}

.dialog-header.files-ng #search-box cr-input {
  --cr-input-border-bottom: transparent;
  --cr-input-color: var(--google-grey-800);
  --cr-input-focus-color: transparent;
  --cr-input-placeholder-color: rgba(0, 0, 0, 50%);
}

.dialog-header.files-ng #search-box cr-input::part(input) {
  caret-color: var(--cr-input-color);
}

body.check-select #search-box {
  display: none;
}

.dialog-header:not(.files-ng) #search-box.has-cursor,
.dialog-header:not(.files-ng) #search-box.has-text,
.dialog-header:not(.files-ng) #search-box.hide-pending {
  margin-inline-end: 12px;
}

.dialog-header.files-ng #search-box.has-cursor,
.dialog-header.files-ng #search-box.has-text,
.dialog-header.files-ng #search-box.hide-pending {
  margin-inline-end: 6px;
}

.dialog-header:not(.files-ng) #search-box.has-cursor cr-input,
.dialog-header:not(.files-ng) #search-box.has-text cr-input,
.dialog-header:not(.files-ng) #search-box.hide-pending cr-input {
  width: 202px;
}

.dialog-header.files-ng #search-box.has-cursor cr-input,
.dialog-header.files-ng #search-box.has-text cr-input,
.dialog-header.files-ng #search-box.hide-pending cr-input {
  --cr-input-width: calc(288px - 74px);
  width: calc(288px - 54px);
}

#search-box .clear {
  cursor: pointer;
  display: none;
  margin: 0;
  min-width: 0;
  position: absolute;
  right: 0;
  visibility: hidden;
}

.dialog-header.files-ng #search-box .clear {
  background: none;
  height: 36px;
  width: 36px;
}

html:not(.pointer-active) .dialog-header.files-ng #search-box .clear:hover {
  background-color: rgba(0, 0, 0, 4%);
}

.dialog-header.files-ng #search-box .clear > .icon {
  -webkit-mask-image: url(../images/files/ui/search_clear_filled.svg);
}

.dialog-header:not(.files-ng) #search-box .clear:focus {
  background-color: rgba(255, 255, 255, 30%);
}

html[dir='rtl'] #search-box .clear {
  left: 0;
  right: auto;
}

.dialog-header:not(.files-ng) #search-box.has-cursor .clear,
.dialog-header:not(.files-ng) #search-box.has-text .clear {
  display: block;
}

.dialog-header.files-ng #search-box.has-cursor .clear,
.dialog-header.files-ng #search-box.has-text .clear {
  display: flex;
}

#search-box.has-text .clear {
  visibility: visible;
}

/* Pinned file toggle */
.dialog-header.files-ng #pinned-toggle-wrapper {
  display: flex;
  flex: none;
}

.dialog-header.files-ng #pinned-toggle-label {
  color: var(--google-grey-700);
  margin-inline-end: 16px;
  margin-inline-start: 12px;
}

/* Container for the detail and thumbnail list views. */
.dialog-body {
  flex: auto;
  position: relative;
  transition: all 180ms ease;
}

.main-panel {
  bottom: 0;
  display: flex;
  left: 0;
  position: absolute;
  right: 0;
  top: 0;
}

.dialog-middlebar-contents {
  display: flex;
  flex: none;
  max-width: 50%;
  min-width: 45px;
  position: relative;
  width: 180px;
}

/* Container for the ok/cancel buttons. */
.dialog-footer {
  align-items: center;
  border-top: 1px solid rgb(225, 225, 225);
  display: flex;
  flex: none;
  flex-direction: row;
  outline: none;
}

body:not(.files-ng) .dialog-footer {
  padding: 8px 4px;
}

body.files-ng .dialog-footer {
  padding: 16px 24px;
}

body.files-ng .dialog-footer #filename-input-box {
  margin-inline-end: 16px;
  margin-inline-start: 16px;
  max-width: 320px;
  min-width: 123px;
}

.dialog-footer .buttonbar {
  display: flex;
  height: 32px;
}

/* Copy style from paper-button for buttons on the footer. */
body:not(.files-ng) .dialog-footer button {
  background: transparent;
  border: 0;
  border-image: none;
  border-radius: 2px;
  box-sizing: border-box;
  cursor: pointer;
  margin: 0 0.29em;
  min-width: 5.14em;
  outline: none;
  padding: 1px 16px;
  position: relative;
  text-align: center;
  text-transform: uppercase;
  transition: box-shadow 280ms cubic-bezier(0.4, 0, 0.2, 1);
  user-select: none;
  z-index: 0;
}

body.files-ng .dialog-footer button {
  border: 0;
  border-image: none;
  border-radius: 4px;
  box-sizing: border-box;
  cursor: pointer;
  margin: 0;
  outline: none;
  padding: 1px 16px;
  position: relative;
  text-align: center;
  user-select: none;
  z-index: 0;
}

.dialog-footer button[disabled] {
  cursor: auto;
  pointer-events: none;
}

.dialog-footer button {
  font-weight: 500;
}

.dialog-footer button:hover {
  border-image: none;  /* Overrides the definition of common.css. */
}

.dialog-footer button:active {
  box-shadow: 0 4px 5px 0 rgba(0, 0, 0, 14%),
              0 1px 10px 0 rgba(0, 0, 0, 12%),
              0 2px 4px -1px rgba(0, 0, 0, 40%);
}

.dialog-footer cr-button,
.dialog-footer button {
  height: 32px;
  margin: 0 4px;
  min-width: 92px;
}

.dialog-footer cr-button[disabled],
.dialog-footer cr-button[disabled]:hover,
.dialog-footer button[disabled],
.dialog-footer button[disabled]:hover {
  background-color: rgb(234, 234, 234);
  color: rgb(168, 168, 168);
}

body.files-ng .dialog-footer cr-button[disabled],
body.files-ng .dialog-footer cr-button[disabled]:hover,
body.files-ng .dialog-footer button[disabled],
body.files-ng .dialog-footer button[disabled]:hover {
  background-color:
      var(--cros-button-background-color-primary-disabled);
  color: var(--cros-button-label-color-primary-disabled);
}

body:not(.files-ng) .dialog-footer .primary,
body:not(.files-ng) .dialog-footer .primary:hover {
  background-color: rgb(51, 103, 214);
  color: white;
}

body.files-ng .dialog-footer .primary,
body.files-ng .dialog-footer .primary:hover {
  background-color: var(--cros-button-background-color-primary);
  color: var(--cros-button-label-color-primary);
}

body:not(.files-ng) .dialog-footer .secondary {
  color: rgb(100, 100, 100);
}

body.files-ng .dialog-footer .secondary {
  background-color: var(--cros-button-background-color-secondary);
  border: 1px solid var(--cros-button-stroke-color-secondary);
  color: var(--cros-button-label-color-secondary);
  margin-inline-end: 8px;
}

body:not(.files-ng) .dialog-footer .secondary:hover {
  color: rgb(51, 103, 214);
}

body.files-ng .dialog-footer .secondary:hover {
  background: var(--cros-button-background-color-secondary-hover);
}

body:not(.files-ng) .dialog-footer .select {
  -webkit-appearance: none;
  background: -webkit-image-set(
     url(../images/common/disclosure_arrow_dk_grey_down.png) 1x,
     url(../images/common/2x/disclosure_arrow_dk_grey_down.png) 2x) no-repeat
     right transparent;
  border: 0;
  border-bottom: 1px solid rgb(207, 207, 207);
  border-radius: 0;
  color: rgb(51, 51, 51);
  cursor: pointer;
  margin-inline-start: 16px;
  min-height: 21px;
  outline: none;
  padding: 0 12px 0 0;
}

body.files-ng .dialog-footer .select {
  background: -webkit-image-set(
     url(../images/common/disclosure_arrow_dk_grey_down.png) 1x,
     url(../images/common/2x/disclosure_arrow_dk_grey_down.png) 2x) no-repeat
     right transparent;
  background-color: var(--google-grey-100);
  border: 0;
  border-radius: 4px;
  cursor: pointer;
  margin-inline-start: 16px;
  max-width: 152px;
  min-height: 32px;
  min-width: 104px;
  outline: none;
  padding: 0 12px 0 16px;
  position: relative;
}

body.files-ng .dialog-footer div.select:not(:active):focus {
  box-shadow: 0 0 0 2px rgba(var(--cros-menu-button-outline-color-focused-rgb),
              50%);
}

body.files-ng .dialog-footer div.select > span {
  display: inline-block;
  line-height: 32px;
  max-width: 100%;
  overflow: hidden;
  text-overflow: ellipsis;
  vertical-align: middle;
  white-space: nowrap;
}

body.files-ng .dialog-footer div.select > div.options {
  background-color: white;
  border-radius: 4px;
  bottom: calc(100% + 2px);
  box-shadow: 0 1px 4px 0 rgba(0, 0, 0, 50%);
  left: 0;
  min-width: max-content;
  padding: 8px 0;
  position: absolute;
  right: 0;
  z-index: 550;
}

body.files-ng .dialog-footer div.select > div.options:not([expanded]) {
  display: none;
}

body.files-ng .dialog-footer div.select > div.options option {
  line-height: 32px;
  min-height: 32px;
  padding: 0 12px 0 16px;
  vertical-align: middle;
}

body.files-ng .dialog-footer div.select > div.options option:hover,
body.files-ng .dialog-footer div.select > div.options:not(:hover) option.selected {
  background-color: rgba(0, 0, 0, 6%);
}

.dialog-footer select:hover {
  border-image: none;
}

/* Draw outline using box-shadow to make them rounded. */
.dialog-footer .primary:focus:not(:active),
.dialog-footer .secondary:focus:not(:active),
.dialog-footer select:focus:not(:active),
html.focus-outline-visible #cloud-import-details cr-button:focus {
  box-shadow: 0 0 0 2px rgba(51, 103, 214, 50%);
}

.progressable:not([progress]) .progress-bar,
.progressable:not([progress]) .preparing-label {
  display: none;
}

.progressable[progress] .ok,
.progressable[progress] #filename-input-box,
.progressable[progress] .file-type {
  display: none;
}

.progressable .preparing-label {
  margin-inline-start: 20px;
}

.progressable .progress-bar {
  flex: auto;
  margin-inline-end: 20px;
  margin-inline-start: 20px;
}

/* The container for breadcrumb elements. */
.breadcrumbs {
  align-items: center;
  display: flex;
  flex-direction: row;
  overflow: hidden;
}

body.check-select .breadcrumbs {
  display: none;
}

.breadcrumbs button > paper-ripple {
  color: black;
}

.breadcrumbs > [collapsed]::before {
  content: '...';
}

.breadcrumbs > [collapsed] .name {
  display: none;
}

.breadcrumbs > [collapsed] {
  box-sizing: content-box !important;
  width: 1em;
}

/* A single directory name in the list of path breadcrumbs. */
.breadcrumbs .breadcrumb-path {
  box-sizing: border-box;
  cursor: pointer;
  flex: none;
  font-size: 14px;
  font-weight: 500;
  margin: 0;
  min-width: 0;
  padding: 0 9px;
  text-transform: none;
  white-space: nowrap;
}

.breadcrumbs .breadcrumb-path:first-child {
  /* margin-inline-start isn't proper
     because folder names should be ltr even in RTL languages. */
  margin-inline-start: 8px;
}

html[dir='rtl'] .breadcrumbs .breadcrumb-path:first-child {
  margin-inline-end: 8px;
  margin-inline-start: 0;
}

.breadcrumbs .breadcrumb-path:active {
  color: inherit;
}

.breadcrumbs .breadcrumb-path > .name {
  overflow: hidden;
  position: relative;
  text-align: initial;
  text-overflow: ellipsis;
  z-index: 1;
}

/* The final breadcrumb, representing the current directory. */
.breadcrumbs .breadcrumb-path.breadcrumb-last {
  cursor: default;
}

.dialog-header.files-ng .breadcrumbs .breadcrumb-path {
  --text-color: currentColor;
}

.dialog-header.files-ng .breadcrumbs .breadcrumb-path.breadcrumb-last {
  color: var(--google-grey-900);
  --text-color: currentColor;
}

/* The > arrow between breadcrumbs. */
.breadcrumbs .separator {
  background: -webkit-image-set(
      url(../images/files/ui/arrow_right_white.png) 1x,
      url(../images/files/ui/2x/arrow_right_white.png) 2x) center no-repeat;
  flex: none;
  height: 16px;
  width: 8px;
}

.dialog-header:not(.files-ng) .breadcrumbs .separator {
  background: -webkit-image-set(
      url(../images/files/ui/arrow_right_white.png) 1x,
      url(../images/files/ui/2x/arrow_right_white.png) 2x) center no-repeat;
}

.dialog-header.files-ng .breadcrumbs .separator {
  -webkit-mask-image: url(../images/files/ui/arrow_right.svg);
}

html[dir='rtl'] .breadcrumbs .separator {
  transform: scaleX(-1);
}

/* The toolbar indicator that means the current directory is read only. */
#read-only-indicator {
  align-items: center;
  background-color: rgba(0, 0, 0, 20%);
  border-radius: 16px;
  display: flex;
  flex: none;
  height: 32px;
  margin-inline-start: 4px;
  padding: 0 16px;
}

body.files-ng #read-only-indicator {
  background-color: var(--google-grey-100);
  margin-inline-start: 12px;
  padding-inline-end: 16px;
  padding-inline-start: 12px;
}

body.check-select #read-only-indicator {
  display: none;
}

.dialog-header.files-ng #read-only-icon {
  -webkit-mask-image: url(../images/files/ui/visibility_ng.svg);
  height: 20px;
  margin-inline-end: 8px;
  width: 20px;
}

#read-only-label {
  flex: none;
  font-size: 13px;
  font-weight: 500;
}

.filelist-panel {
  display: flex;
  flex: auto;
  flex-direction: column;
  min-width: 0;
}

#list-container {
  display: flex;
  flex: auto;
  flex-direction: column;
  min-height: 0;
  position: relative;
}

#detail-table {
  display: flex;
  flex: auto;
  flex-direction: column;
  min-height: 0;
  outline: none;
}

#detail-table > list,
.thumbnail-grid {
  flex: auto;
}

#file-list .drag-selection-border {
  -webkit-box-sizing: border-box;
  background-color: rgba(255, 255, 255, 30%);
  border: 2px solid rgba(255, 255, 255, 60%);
  outline: 1px solid rgba(0, 0, 0, 10%);
  position: absolute;
  z-index: 2;
}

.spinner {
  background: url(chrome://resources/images/throbber_small.svg) center/100%
      no-repeat;
  height: 16px;
  left: 50%;
  margin-inline-start: -8px;
  margin-top: -8px;
  opacity: 0.5;
  position: absolute;
  top: 50%;
  width: 16px;
}

body:not(.files-ng) .loading-indicator {
  height: 3px;
  left: 0;
  position: absolute;
  right: 0;
  width: 100%;
}

body.files-ng .loading-indicator {
  left: calc(50% - 24px);
  position: absolute;
  right: calc(50% - 24px);
  top: 64px;
}

body:not(.files-ng) .list-view .loading-indicator {
  top: 40px;
}

body:not(.files-ng) .thumbnail-view .loading-indicator {
  top: 0;
}

body:not(.files-ng) .downloads-warning {
  align-items: center;
  background-color: rgb(79, 129, 232);
  color: white;
  display: flex;
  flex: none;
  flex-direction: row;
  font-size: 14px;
  height: 64px;
  overflow: hidden;
  transition: height 70ms linear;
}

body.files-ng .downloads-warning {
  align-items: center;
  border-bottom: 1px solid var(--cr-separator-color, rgb(224, 224, 224));
  display: flex;
  flex: none;
  flex-direction: row;
  height: 40px;
  opacity: 1;
  transition: height 300ms cubic-bezier(0.4, 0, 0.2, 1) 0s,
              opacity 150ms ease 50ms;
  visibility: visible;
}

body:not(.files-ng) .downloads-warning a:link,
body:not(.files-ng) .volume-warning a:link {
  color: white;
  flex: none;
}

body.files-ng .downloads-warning a:link,
body.files-ng .volume-warning a:link {
  color: var(--google-blue-600);
}

body.files-ng .downloads-warning .warning-icon {
  -webkit-mask-image: url(../images/files/ui/warning.svg);
  background-color: var(--google-grey-700);
  background-size: 20px 20px;
  flex: none;
  height: 20px;
  margin-inline-end: 12px;
  margin-inline-start: 8px;
  width: 20px;
}

body:not(.files-ng) .downloads-warning .warning-message {
  margin-inline-end: 40px;
}

body.files-ng .warning-message .link-wrapper {
  display: inline;
}

body.files-ng .warning-message .link-wrapper > a {
  display: inline-block;
  outline-offset: -2px;
  padding: 0 4px;
  text-decoration: none;
}

body:not(.files-ng) .downloads-warning[hidden] {
  display: flex !important;  /* Overrides [hidden] for animation. */
  height: 0;
}

body.files-ng .downloads-warning[hidden] {
  display: flex !important;  /* Overrides [hidden] for animation. */
  height: 0;
  opacity: 0;
  visibility: hidden;
}

@keyframes heightAnimation {
  0% {
    display: flex;
    height: 0;
  }
}

/* Drive space warning banner. */
body:not(.files-ng) .volume-warning {
  align-items: center;
  animation: heightAnimation 70ms linear;
  background-color: rgb(79, 129, 232);
  color: white;
  display: flex;
  flex: none;
  flex-direction: row;
  font-size: 13px;
  height: 64px;
  overflow: hidden;
  position: relative;
}

body.files-ng .volume-warning {
  align-items: center;
  border-bottom: 1px solid var(--cr-separator-color, rgb(224, 224, 224));
  color: white;
  display: flex;
  flex: none;
  flex-direction: row;
  font-size: 13px;
  height: 40px;
  opacity: 1;
  overflow: hidden;
  position: relative;
  transition: height 300ms cubic-bezier(0.4, 0, 0.2, 1) 0s,
              opacity 150ms ease 50ms;
  visibility: visible;
}

body:not(.files-ng) .volume-warning[hidden] {
  border-top-width: 0;
  height: 0;
}

body.files-ng .volume-warning[hidden] {
  border-top-width: 0;
  display: flex !important;  /* Overrides [hidden] for animation. */
  height: 0;
  opacity: 0;
  visibility: hidden;
}

body.files-ng .volume-warning .drive-icon {
  background: white url(../images/files/ui/drive_logo.svg) no-repeat center;
  background-size: 20px 20px;
  flex: none;
  height: 20px;
  margin-inline-end: 12px;
  margin-inline-start: 8px;
  width: 20px;
}

body:not(.files-ng) .volume-warning .drive-text {
  flex: none;
  font-size: 16px;
  margin-inline-end: 51px;
}

body.files-ng .button-group {
  display: flex;
  flex: 0 0 auto;
  flex-direction: row-reverse;
  margin-inline-start: auto;
  padding-inline-start: 48px;
}

body.files-ng .button-group > a {
  text-decoration-line: none;
}

body:not(.files-ng) .volume-warning .imitate-paper-button {
  background-color: white;
  border-radius: 2px;
  color: rgb(79, 129, 232);
  font-size: 13px;
  font-weight: 500;
  height: 2.5em;
}

body.files-ng .volume-warning .banner-button {
  border: 0;
  height: 32px;
  margin-inline-end: 8px;
  padding-inline-end: 16px;
  padding-inline-start: 16px;
}

body.files-ng .volume-warning .info-icon {
  -webkit-mask-image: url(../images/files/ui/info.svg);
  background-color: var(--cros-text-color-secondary);
  background-size: 20px 20px;
  flex: none;
  height: 20px;
  margin-inline-end: 16px;
  margin-inline-start: 8px;
  width: 20px;
}

body.files-ng .banner-close {
  border: 0;
  height: 32px;
  margin-inline-end: 20px;
  padding-inline-end: 16px;
  padding-inline-start: 16px;
  position: relative;
}

html[dir='ltr'] body:not(.files-ng) .banner-close {
  right: 0;
}

html[dir='rtl'] body:not(.files-ng) .banner-close {
  left: 0;
}

/* The cr.ui.Grid representing the detailed file list. */
.thumbnail-grid {
  /* On the right side, we have less margin to pack items as long as they are
     fully visible. */
  box-sizing: border-box;
  overflow-y: auto;
  padding-bottom: 16px;
  padding-inline-end: 2px;
  padding-inline-start: 11px;
  padding-top: 12px;
  width: 100%;
}

body.files-ng .thumbnail-grid {
  padding-inline-end: 20px;
  padding-inline-start: 16px;
}

body.files-ng grid .grid-title {
  color: var(--google-grey-700);
  font-family: 'Roboto Medium';
  padding-inline-start: 16px;
  padding-top: 20px;
  width: 100%;
}

body.files-ng grid .grid-title.files {
  padding-top: calc(20px + 16px);
}

body[type='full-page'] .thumbnail-frame > .img-container {
  position: relative;
}

html:not(.pointer-active) body[type='full-page'] .thumbnail-frame > .img-container,
body[type='full-page'] .thumbnail-frame > .img-container:active,
html:not(.pointer-active) body[type='full-page'] .detail-name .detail-icon,
body[type='full-page'] .detail-name .detail-icon:active {
  cursor: pointer;
}

.thumbnail-bottom {
  align-items: center;
  bottom: 0;
  cursor: auto;
  display: flex;
  flex-direction: row;
  left: 0;
  padding: 0 6px;
  position: absolute;
  right: 0;
}

body.files-ng .thumbnail-bottom {
  padding: 0;
}

.thumbnail-bottom .detail-icon {
  flex: none;
  height: 16px;
  width: 16px;
}

.thumbnail-bottom .filename-label {
  flex: auto;
  font-weight: 500;
  padding-inline-end: 6px;
}

body.files-ng .thumbnail-item .filename-label {
  font-weight: normal;
  padding-inline-end: 12px;
}

/* Styles specific for the grid view. */

.thumbnail-grid .thumbnail-item {
  background-color: rgb(245, 245, 245);
  height: 180px;
  margin-inline-start: 4px;
  margin-top: 4px;
  overflow: hidden;
  position: relative;
  vertical-align: top;  /* Prevent vertical spacing for wrapped inline box. */
  width: 180px;
}

body.files-ng .thumbnail-grid .thumbnail-item {
  background-color: inherit;
  border-radius: 4px;
  height: 160px;
  margin-inline-start: 16px;
  margin-top: 16px;
}

.thumbnail-grid .thumbnail-item.directory {
  box-shadow: 0 1px rgba(0, 0, 0, 15%);
  height: 40px;
}

body.files-ng .thumbnail-item.directory   {
  box-shadow: none;
  height: 40px;
}

body.files-ng #list-container .thumbnail-grid li {
  border: 1px solid rgba(0, 0, 0, 14%);
}

body.files-ng grid .thumbnail-bottom .detail-icon {
  color: var(--google-grey-700);
  height: 40px;
  padding-inline-end: 6px;
  padding-inline-start: 6px;
  width: 32px;
}

html:not(.pointer-active) body.files-ng grid .thumbnail-bottom .detail-icon,
body.files-ng grid .thumbnail-bottom .detail-icon:active {
  cursor: pointer;
}

.thumbnail-grid .thumbnail-frame {
  height: 100%;
  width: 100%;
}

.thumbnail-grid .thumbnail-item[selected],
.thumbnail-grid .thumbnail-item.accepts {
  background-color: rgb(221, 242, 253);
}

.thumbnail-grid .thumbnail-item[selected] .shield {
 background-color: rgba(51, 103, 214, 50%);

}

.thumbnail-grid .thumbnail-item[lead]:not([selected]) .shield {
  background-color: rgba(51, 103, 214, 20%);
}

.thumbnail-grid .checkmark {
  background-position: center;
  background-repeat: no-repeat;
  height: 36px;
  margin-inline-start: 2px;
  opacity: 0;
  position: absolute;
  top: 2px;
  transition: opacity 220ms ease;
  width: 36px;
}

body.selecting .thumbnail-grid .checkmark.inactive,
.thumbnail-grid .thumbnail-item:hover .checkmark.inactive {
  opacity: 0.6;
}

body.check-select .thumbnail-grid .thumbnail-item .checkmark.inactive {
  opacity: 1;
}

body.check-select .thumbnail-grid .thumbnail-item[selected]
    .checkmark.inactive {
  opacity: 0;
}

body.check-select .thumbnail-grid .thumbnail-item[selected] .checkmark.active {
  opacity: 1;
}

.thumbnail-grid .img-container {
  background-color: rgb(230, 230, 230);
  height: 100%;
  width: 100%;
}

body.files-ng .thumbnail-grid .img-container {
  color: var(--google-grey-700);
  height: 120px;
}

.thumbnail-grid .img-container > .thumbnail {
  -webkit-user-drag: none;
  background-color: rgb(230, 230, 230);
  background-position: center;
  background-repeat: no-repeat;
  height: 100%;
  opacity: 1;
  position: absolute;
  width: 100%;
}

.thumbnail-grid .shield {
  background-color: rgba(160, 160, 160, 50%);
  bottom: 0;
  display: none;
  left: 0;
  position: absolute;
  right: 0;
  top: 0;
}

.thumbnail-grid:focus .shield {
  background-color: rgba(51, 103, 214, 50%);
}

.thumbnail-grid .thumbnail-item[selected] .shield,
.thumbnail-grid .thumbnail-item[lead] .shield {
  display: block;
}

.thumbnail-grid .thumbnail-bottom {
  background-color: rgba(255, 255, 255, 85%);
  color: rgb(51, 51, 51);
  height: 40px;
}

body.files-ng .thumbnail-grid .thumbnail-bottom {
  background-color: white;
  color: var(--google-grey-900);
}

.thumbnail-grid .thumbnail-item.directory .thumbnail-bottom {
  background-color: rgb(255, 255, 255);
}

.thumbnail-grid .thumbnail-item[selected].directory .thumbnail-bottom,
.thumbnail-grid .thumbnail-item[lead].directory .thumbnail-bottom {
  background-color: rgb(232, 232, 232);
}

.thumbnail-grid:focus .thumbnail-item[selected].directory .thumbnail-bottom,
.thumbnail-grid:focus .thumbnail-item[lead].directory .thumbnail-bottom {
  background-color: rgb(232, 246, 253);
}

body.files-ng .thumbnail-grid .thumbnail-item[selected] .thumbnail-bottom,
body.files-ng .thumbnail-grid .thumbnail-item[lead] .thumbnail-bottom,
body.files-ng .thumbnail-grid .thumbnail-item[selected].directory
    .thumbnail-bottom,
body.files-ng .thumbnail-grid .thumbnail-item[lead].directory
    .thumbnail-bottom {
  background-color: var(--google-grey-100);
}

body.files-ng .thumbnail-grid:focus .thumbnail-item[selected] .thumbnail-bottom,
body.files-ng .thumbnail-grid:focus .thumbnail-item[lead] .thumbnail-bottom,
body.files-ng .thumbnail-grid:focus .thumbnail-item[selected].directory
    .thumbnail-bottom,
body.files-ng .thumbnail-grid:focus .thumbnail-item[lead].directory
    .thumbnail-bottom {
  background-color: var(--google-blue-50);
}

body.check-select.files-ng .thumbnail-grid:focus .thumbnail-item[selected]
    .thumbnail-bottom,
body.check-select.files-ng .thumbnail-grid:focus .thumbnail-item[lead]
    .thumbnail-bottom,
body.check-select.files-ng .thumbnail-grid:focus
    .thumbnail-item[selected].directory .thumbnail-bottom,
body.check-select.files-ng .thumbnail-grid:focus .thumbnail-item[lead].directory
    .thumbnail-bottom {
  color: var(--google-blue-600);
}

body.check-select.files-ng #list-container .thumbnail-grid:focus
    .thumbnail-item[lead],
body.files-ng #list-container .thumbnail-grid:focus
    .thumbnail-item[lead]:not([selected]) {
  /* 2px border: 1px via box-shadow + 1px via border, to accommodate
     the difference between regular border 1px and selected border 2px.*/
  border-color: var(--google-blue-600);
  box-shadow: 0 0 0 1px var(--google-blue-600);
}

body.check-select.files-ng #list-container .thumbnail-grid
    .thumbnail-item[lead],
body.files-ng #list-container .thumbnail-grid
    .thumbnail-item[lead]:not([selected]) {
  /* 2px border: 1px via box-shadow + 1px via border, to accommodate
     the difference between regular border 1px and selected border 2px.*/
  border-color: var(--google-grey-700);
  box-shadow: 0 0 0 1px var(--google-grey-700);
}

body.files-ng #list-container .thumbnail-grid .thumbnail-item[lead].directory
    .shield {
  height: 36px;
}

.thumbnail-grid > .spacer.folder-spacer {
  height: 5px;
}

body.files-ng .thumbnail-grid > .spacer {
  height: 0;
}

body:not(.check-select) .thumbnail-grid.image-dominant
    .can-hide-filename.thumbnail-loaded:not([selected]) .thumbnail-bottom {
  display: none;
}

.badge {
  background-color: white;
  background-position: center;
  background-repeat: no-repeat;
  border-radius: 2px;
  display: none;
  height: 20px;
  position: absolute;
  right: 10px;
  top: 10px;
  width: 20px;
}

html[dir='rtl'] .badge {
  left: 10px;
  right: auto;
}

.copied .badge {
  background-image: -webkit-image-set(
      url(../images/files/ui/cloud_import_syncing.png) 1x,
      url(../images/files/ui/2x/cloud_import_syncing.png) 2x);
  display: block;
}

.imported .badge {
  background-image: -webkit-image-set(
      url(../images/files/ui/service_drive.png) 1x,
      url(../images/files/ui/2x/service_drive.png) 2x);
  display: block;
}

.imported .filename-label,
.copied .filename-label {
  margin-inline-end: 14px;
}

/* Padding counterweights negative margins of items, thus eliminating scroll
   bar when it's not needed. Max height is set to fit 8 items before showing
   scroll bar. */
body:not(.files-ng) #default-tasks-list {
  max-height: 328px;
  padding: 1px 0;
}

body.files-ng #default-tasks-list {
  border-top: solid 1px rgba(0, 0, 0, 14%);
  height: 240px;
  margin: 16px -16px;
  margin-bottom: 12px;
  padding-top: 8px;
}

body.files-ng #default-task-dialog.bottom-shadow::after {
  background: linear-gradient(180deg, #FFF 0, rgba(255, 255, 255, 0) 100%);
  bottom: 24px;
  content: '';
  height: 40px;
  left: 0;
  pointer-events: none;
  position: absolute;
  transform: rotate(-180deg);
  width: 100%
}


body:not(.files-ng) #default-tasks-list li {
  height: 32px;
  line-height: 32px;
}

body.files-ng #default-tasks-list li {
  height: 40px;
  line-height: 40px;
}

body:not(.files-ng) #default-tasks-list > li > * {
  background-position: 5px center;
  background-repeat: no-repeat;
  background-size: 16px 16px;
  padding-inline-start: 26px;
}

body.files-ng #default-tasks-list > li > * {
  background-position: 16px center;
  background-repeat: no-repeat;
  background-size: 20px;
  padding-inline-start: 52px;
}

html[dir='rtl'] body.files-ng #default-tasks-list > li > * {
  background-position-x: calc(100% - 16px);
}

#list-container list > li[selected],
#list-container list > li:active,
#list-container list > li.accepts,
#list-container list:focus > li[lead] {
  background-color: rgb(232, 234, 237);
}

body.files-ng #list-container list > li[selected],
body.files-ng #list-container list > li:active,
body.files-ng #list-container list > li.accepts,
body.files-ng #list-container list:focus > li[lead] {
  background-color: var(--google-grey-100);
  border-radius: 2px;
}

#list-container list:focus > li[selected],
#list-container list:focus > li.accepts[selected],
#list-container list:focus > li[lead] {
  background-color: rgb(216, 223, 240);
}

body.files-ng #list-container list:focus > li[selected],
body.files-ng #list-container list:focus > li.accepts[selected],
body.files-ng #list-container list:focus > li[lead] {
  background-color: var(--google-blue-50);
}

body:not(.files-ng) #default-tasks-list:focus > li[selected],
body:not(.files-ng) #default-tasks-list > li[selected] {
  background-color: rgb(216, 223, 240);
  outline: none;
}

body.files-ng #default-tasks-list:focus > li[selected],
body.files-ng #default-tasks-list > li[selected] {
  background-color: var(--google-blue-50);
  outline: none;
}

body.files-ng #default-tasks-list li[selected]::after {
  background-image: url(../images/common/ic_selected.svg);
  background-position: right;
  background-repeat: no-repeat;
  content: ' ';
  height: 40px;
  position: absolute;
  right: 16px;
  top: 0;
  width: 40px;
}

html[dir='rtl'] body.files-ng #default-tasks-list li[selected]::after {
  background-position: left;
  left: 16px;
  right: unset;
}

body.check-select #list-container list > li[lead]:not([selected]),
#list-container list > li[lead]:not([selected]) {
  background-color: rgba(232, 234, 237, 50%);
}

body.check-select #list-container list:focus > li[lead]:not([selected]),
#list-container list > li[lead]:not([selected]):focus {
  background-color: rgb(232, 234, 237);
}

body.files-ng #list-container li {
  border: 1px solid transparent;
}

body.files-ng.check-select #list-container list:focus > li[lead] {
  background-color: var(--google-blue-50);
  border: 1px solid var(--google-blue-600);
}

body.files-ng.check-select #list-container list > li[lead] {
  border: 1px solid var(--google-grey-700);
  border-radius: 2px;
}

#list-container.nohover grid > .accepts {
  background-color: transparent;
}

#directory-tree .tree-item.accepts > .tree-row,
#list-container list > li.accepts,
#list-container grid > li.accepts {
  animation: acceptsBlink 200ms linear 1s 3;
}

@keyframes acceptsBlink {
  0% {
    background-color: transparent;
    color: rgb(90, 90, 90);
  }
}

.table-row-cell .filename-label,
.thumbnail-item .filename-label,
/* Show ellipsis in cells. The name column has different structure and overrides
   this rule. */
.table-row-cell > div {
  display: block;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: pre;
}

/* Text box used for renaming in the detail list. */
.table-row-cell input.rename {
  border-width: 0;
  min-width: 0;
  padding: 2px 0;
}

input.rename:focus,
#directory-tree .tree-row .rename-placeholder > input:focus,
#directory-tree .tree-row > .file-row .rename-placeholder > input:focus,
#directory-tree .tree-row > input:focus,
#directory-tree .tree-row > .file-row > input:focus {
  outline-color: rgb(77, 144, 254);
}

input.rename {
  font: inherit;
  line-height: 1;
  text-align: inherit;
}

.table-row-cell .filename-label {
  flex: initial;
}

.table-row-cell input.rename {
  flex: auto;
}

body.files-ng #list-container input.rename {
  margin-inline-end: 4px;
}

li[renaming=''] .filename-label,
li[renaming=''] .badge {
  display: none;
}

/* Text box used for renaming in the thumbnail list. */
.thumbnail-grid input.rename {
  box-sizing: border-box;
  width: 100%;
}

/* The cr.ui.Table representing the detailed file list. */
.detail-table {
  width: 100%;
}

.dialog-footer > .left {
  align-items: center;
  display: flex;
  flex: auto;
  flex-direction: row;
}

.dialog-footer > .right {
  align-items: center;
  flex: none;
  justify-content: flex-end;
}

@keyframes fadeOut {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}

/* Table splitter element */
.table-header-splitter:last-child {
  display: none;
}

/* Container for a table header. */
.table-header {
  border-bottom: 1px solid rgb(210, 210, 210);
  box-sizing: border-box;
  flex: none;
  height: 40px;
}

/* Text label in a table header. */
.table-header-label {
  color: rgb(100, 100, 100);
  font-weight: 500;
  line-height: 40px;
  margin: 0 10px;
}

.table-row-cell > * {
  align-items: center;
  flex: auto;
  flex-direction: row;
  padding: 0 10px;
}

.table-row-cell {
  color: rgb(100, 100, 100);
}

.table-row-cell > .detail-name {
  display: flex;
}

.table-row-cell > .detail-name {
  color: rgb(74, 74, 74);
}

.table-row-cell {
  align-items: center;
}

#list-container li.table-row {
  height: 40px;
  line-height: 40px;
}

/* The icon in the name column. See file_types.css for specific icons. */
.detail-icon {
  height: 24px;
  width: 24px;
}

.status-icon {
  height: 24px;
  margin-inline-end: 10px;
  width: 24px;
}

body:not(.files-ng) #list-container li .detail-icon {
  height: 28px;
  margin-inline-end: 6px;
  width: 28px;
}

body.files-ng #list-container list li .detail-icon {
  color: var(--google-grey-700);
  height: 40px;
  margin-inline-end: 8px;
  margin-inline-start: 8px;
  width: 40px;
}

#list-container li .detail-checkmark {
  background-position: center;
  background-repeat: no-repeat;
  color: var(--google-blue-600);
  height: 28px;
  isolation: isolate;
  opacity: 0;
  position: absolute;
  transition: opacity 220ms ease;
  width: 28px;
}

body.check-select #list-container li[selected] .detail-checkmark {
  opacity: 1;
}

#list-container list li .detail-thumbnail {
  height: 28px;
  overflow: hidden;
  width: 28px;
}

#list-container list li .detail-thumbnail > .thumbnail {
  -webkit-user-drag: none;
  background-color: rgb(245, 245, 245);
  background-position: center;
  background-size: cover;
  border-radius: 14px;
  height: 100%;
  isolation: isolate;
  opacity: 1;
  width: 100%;
}

body.check-select #list-container list li[selected] .detail-thumbnail
> .thumbnail {
  /* Fade out after checkmark fades in. */
  animation: fadeOut 0ms 220ms ease backwards;
  opacity: 0;
}

#share-menu cr-menu-item,
#share-sub-menu cr-menu-item,
#tasks-menu cr-menu-item:not(.change-default) {
  background-position: left 10px center;
  padding-inline-start: 32px;
}

html[dir='rtl'] #share-menu cr-menu-item,
html[dir='rtl'] #share-sub-menu cr-menu-item,
html[dir='rtl'] #tasks-menu cr-menu-item:not(.change-default) {
  background-position: right 10px center;
}

#share-menu cr-menu-item[command='#share'] {
  background-image: -webkit-image-set(
      url(../images/files/ui/person_add.png) 1x,
      url(../images/files/ui/2x/person_add.png) 2x);
}

cr-menu-item[command='#install-new-extension'] .icon.start {
  background-image: -webkit-image-set(
      url(../images/files/ui/store.png) 1x,
      url(../images/files/ui/2x/store.png) 2x);
}

#action-bar {
  display: flex;
  flex: none;
}

.dialog-header.files-ng #action-bar {
  align-items: center;
  height: 48px;
}

.detail-name > * {
  align-items: center;
  display: flex;
  flex: none;
}

#filename-input-box {
  align-items: center;
  display: flex;
  flex: auto;
  margin-inline-end: 30px;
  margin-inline-start: 30px;
}

body:not([type='saveas-file']) #filename-input-box {
  display: none;
}

/* Dimmed items */

body[type='folder'] .file,
body[type='upload-folder'] .file,
.dialog-container[connection='OFFLINE'] .dim-offline,
body[block-hosted-docs] .file.dim-hosted {
  opacity: 0.4;
}

/* Invisible container for elements representing files while dragging. */
body:not(.files-ng) #drag-container {
  left: 0;
  position: fixed;
  top: 0;
  z-index: -1;  /* below .dialog-container */
}

body:not(.files-ng) #drag-container .drag-contents {
  background-color: #fafafa;
  border: 1px solid #bbb;
  border-radius: 3px;
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 20%);
  display: flex;
  flex-direction: row;
  line-height: 0;
  margin-bottom: 5px;
  padding: 6px;
  transition: opacity 200ms ease-in;
}

body:not(.files-ng) #drop-label {
  background-color: rgba(0, 0, 0, 80%);
  border-radius: 2px;
  color: white;
  display: none;  /* hidden until activated */
  font-size: 12px;
  height: 24px;
  line-height: 24px;
  padding: 0 8px;
  position: absolute;
  z-index: 1000;  /* same height as files-tooltip */
}

body:not(.files-ng) #drag-container .drag-contents.for-image  {
  flex: none;
  padding: 2px;
}

body:not(.files-ng) #drag-container .thumbnail-item {
  display: flex;
  flex-direction: row;
}

body:not(.files-ng) #drag-container .label {
  flex: auto;
  font-weight: bold;
  line-height: 24px;
  max-width: 320px;
  overflow: hidden;
  padding: 0 5px;
  text-overflow: ellipsis;
  white-space: nowrap;
}

body.files-ng #drag-container {
  background-color: transparent;
  height: calc(12px + 40px + 8px + 8px);
  left: 0;
  position: fixed;
  top: 0;
  width: calc(8px + 192px + 8px + 8px);
  z-index: -1;  /* below .dialog-container */
}

body.files-ng #drag-container .drag-box {
  background-color: white;
  border-radius: 2px;
  box-shadow: 0 1px 2px 0 rgba(var(--google-grey-800-rgb), 30%),
              0 2px 6px 2px rgba(var(--google-grey-800-rgb), 15%);
  box-sizing: border-box;
  height: 40px;
  position: absolute;
  width: 192px;
}

body.files-ng #drag-container .drag-contents {
  align-items: center;
  display: flex;
  left: 8px;
  padding-inline-end: 2px;
  padding-inline-start: 8px;
  right: 8px;
  top: 12px;
}

body.files-ng #drag-container .drag-multiple {
  left: calc(8px + 8px);
  right: calc(8px + 8px);
  top: calc(12px + 8px);
}

body.files-ng #drag-container .detail-icon {
  border-radius: 50%;
  flex: none;
}

body.files-ng #drag-container .detail-icon[file-type-icon] {
  color: var(--google-grey-700);
}

body.files-ng #drag-container .label {
  color: var(--google-grey-900);
  overflow: hidden;
  padding: 0 10px;
  text-overflow: ellipsis;
  white-space: nowrap;
}

body.files-ng #drag-container .drag-bubble {
  background-color: var(--google-blue-600);
  border-radius: 12px;
  color: white;
  font-size: 14px;
  font-weight: 700;
  height: 24px;
  line-height: 24px;
  max-width: fit-content;
  padding: 0 8px;
  position: absolute;
  right: calc(8px * 0.5);
  white-space: nowrap;
}

html[dir=rtl] body.files-ng #drag-container .drag-bubble {
  left: calc(8px * 0.5);
  right: unset;
}

/* TODO(fukino): Gather menu-related definitions into one place. */
cr-menu#file-context-menu {
  min-width: 208px;
  z-index: 600;  /* Must be below the overlay pane (1000). */
}

cr-menu#file-context-menu > :not(hr) {
  padding-inline-end: 8px;
}

cr-menu#file-context-menu.toolbar-menu > .hide-on-toolbar {
  display: none;
}

cr-menu.chrome-menu hr {
  color: transparent;
  font-size: 0;
}

div.shade {
  /* transition: opacity 1000ms linear; */
  background-color: rgba(255, 255, 255, 80%);
  bottom: 0;
  left: 0;
  opacity: 0;
  position: absolute;
  right: 0;
  top: 0;
}

div.shade[fadein] {
  opacity: 1;
}

/* Message panel for unmounted Drive */
#unmounted-panel,
#format-panel {
  bottom: 0;
  color: #333;
  display: none;
  left: 0;
  padding-inline-start: 50px;
  padding-top: 20px;
  position: absolute;
  right: 0;
  top: 0;
}

body[drive='mounting'] .dialog-container #unmounted-panel,
body[drive='error'] .dialog-container #unmounted-panel,
body[unformatted] .dialog-container #format-panel {
  display: block;
}

body[drive='unmounted'] .dialog-container .filelist-panel,
body[drive='mounting'] .dialog-container .filelist-panel,
body[drive='error'] .dialog-container .filelist-panel,
body[unformatted] .dialog-container .filelist-panel {
  /* Hide file list when Drive is not mounted.
     Use opacity to avoid manual resizing.*/
  opacity: 0;
}

#unmounted-panel > *,
#format-panel > * {
  align-items: center;
  display: none;
  flex-direction: row;
  height: 22px;
  justify-content: flex-start;
  margin-bottom: 10px;
}

#unmounted-panel > .loading {
  position: relative;
}

#unmounted-panel > .loading > .spinner-box {
  bottom: 0;
  position: absolute;
  right: 100%;
  top: 0;
  width: 40px;
}

body[unformatted] #format-panel > .error,
body[drive='mounting'] #unmounted-panel > .loading,
body[drive='error'] #unmounted-panel > .error,
#format-panel > #format-button,
#unmounted-panel.retry-enabled > .learn-more {
  display: flex;
}

.plain-link {
  color: rgb(17, 85, 204);
  cursor: pointer;
  text-decoration: none;
}

.buttonbar > * {
  position: relative;
}

body.files-ng #empty-folder {
  display: none;
}

#volume-space-info-contents {
  align-items: center;
  display: flex;
}

#volume-space-info-contents > div {
  display: flex;
  flex: auto;
  margin-inline-start: 15px;
}

#list-container .table-header-inner {
  height: 100%;
}

#list-container .table-header-cell:hover {
  background-color: inherit;
}

#list-container .table-header-cell:first-child {
  -webkit-box-sizing: border-box;
  padding-inline-start: 8px;
}

body.files-ng #list-container .table-header-cell:first-child {
  padding-inline-start: 0;
}

body.files-ng .table-header {
  border-bottom: 1px solid var(--cr-separator-color, rgb(224, 224, 224));
  color: var(--google-grey-700);
  font-family: 'Roboto Medium';
  height: 48px;
  line-height: 20px;
}

body.files-ng .table-header-label {
  color: inherit;
  font-weight: normal;
  line-height: 20px;
  margin-inline-end: 0;
  margin-inline-start: 32px;
}

body.files-ng .table-header-cell {
  padding-bottom: 16px;
}

html:not(.pointer-active) body.files-ng .table-header-cell,
body.files-ng .table-header-cell:active {
  cursor: pointer;
}

body.files-ng #list-container .table-header-cell:first-child
.table-header-label {
  margin-inline-start: 16px;
}

body.files-ng .table-header-label .sort-icon {
  --cr-icon-button-icon-size: 16px;
  --cr-icon-button-size: 32px;
  border-radius: 50%;
  cursor: default;
}

html:not(.pointer-active) body.files-ng .table-header-label .sort-icon,
body.files-ng .table-header-label .sort-icon:active {
  cursor: pointer;
}

body.files-ng .table-label-container {
  align-items: center;
  display: flex;
  height: 32px;
  padding-top: 8px;
}

/* Text in the column header */
body.files-ng .table-label-container > span {
  overflow: hidden;
  text-overflow: ellipsis;
}

html:not(.pointer-active) body.files-ng .table-header-label .sorted
.sort-icon:hover {
  background-color: rgba(0, 0, 0, 4%);
}

body.files-ng .table-header-label .not-sorted .sort-icon {
  display: none;
}

/** Size column is aligned to right. */
body.files-ng .table-header-label.size .table-label-container {
  justify-content: flex-end;
}

body.files-ng #list-container li.table-row {
  box-sizing: border-box;
  height: 40px;
  line-height: 20px;
}

body.files-ng.check-select #list-container list li[selected] .detail-thumbnail
> .thumbnail {
  animation: none;
}

body.files-ng #list-container list li .detail-thumbnail > .thumbnail {
  border-radius: 50%;
  height: 24px;
  margin-inline-start: 8px;
  margin-top: 4px;
  width: 24px;
}

body.files-ng .table-row-cell > * {
  color: var(--google-grey-700);
  padding: 0;
  padding-inline-start: 32px;
  padding-top: 0 !important;
}

body.files-ng .table-header-splitter  {
  background: none;
  height: 32px;
  margin-top: 8px;
  width: auto;
}

body.files-ng .table-header-splitter .splitter-icon {
  --cr-icon-button-icon-size: 32px;
  --cr-icon-button-size: 32px;
  --cr-icon-button-margin-start: 0px;
  --cr-icon-button-fill-color: var(--google-grey-500);
  cursor: default;
  height: 32px;
}

html:not(.pointer-active) body.files-ng .table-header-splitter
.splitter-icon:hover {
  cursor: col-resize;
}

body.files-ng #list-container .table-row-cell .size {
  padding-inline-end: 5px;
  padding-inline-start: 22px;
}

body.files-ng.check-select list:focus li[selected] .table-row-cell > * {
  color: var(--google-blue-600);
}

body.files-ng .table-row-cell:first-child > * {
  padding-inline-start: 0;
}

body.files-ng .table-row-cell .filename-label {
  color: var(--cros-text-color-primary);

  padding-top: 0;
}

body.files-ng.check-select list:focus li[selected] .table-row-cell
.filename-label {
  color: var(--google-blue-600);
}

body.files-ng #list-container li .detail-checkmark {
  -webkit-mask-image: url(../images/files/ui/list_check.svg);
  -webkit-mask-position: center;
  -webkit-mask-repeat: no-repeat;
  background-color: currentColor;
  background-image: none;
  height: 40px;
  width: 40px;
}

body.files-ng grid li .detail-checkmark {
  width: 32px !important;
}

body.files-ng #list-container :focus li .detail-checkmark {
  color: var(--google-blue-600);
}

body.files-ng #list-container li .detail-checkmark {
  color: var(--google-grey-700);
}

body.files-ng #list-container li .detail-thumbnail {
  height: 32px;
  width: 32px;
}

.detail-pinned {
  display: none;
}

body.files-ng #list-container
    li.pinned:not([renaming]):not(.dim-offline) .detail-pinned {
  -webkit-mask-image: url(../images/files/ui/offline.svg);
  -webkit-mask-position: center;
  -webkit-mask-repeat: no-repeat;
  background-color: currentColor;
  display: flex;
  height: 40px;
  width: 40px;
}

#new-folder-button {
  flex: none;
}

.cr-dialog-container:not(.files-ng) #default-task-dialog {
  min-width: 300px;
  width: auto;
}

.cr-dialog-container.files-ng #default-task-dialog {
  width: 352px;
}

.cr-dialog-container:not(.files-ng) #install-linux-package-dialog {
  min-width: 300px;
  width: 40%;
}

.cr-dialog-container:not(.files-ng) #install-linux-package-dialog .cr-dialog-text {
  min-height: 30px;
}

.install-linux-package-details-frame {
  border: 1px solid lightgray;
  display: block;
  height: 150px;
  overflow: scroll;
  padding: 8px 10px;
  user-select: text;
}

.files-ng .install-linux-package-details-frame {
  margin-top: 16px;
}

.cr-dialog-container:not(.files-ng) .install-linux-package-details-label {
  color: #5a5a5a;
  font-weight: 500;
  margin-bottom: 10px;
}

.cr-dialog-container.files-ng .install-linux-package-details-label {
  margin-bottom: 10px;
}

.cr-dialog-container:not(.files-ng) .install-linux-package-detail-label {
  color: #5a5a5a;
  display: inline;
  font-weight: 500;
  margin-inline-end: 5px;
}

.cr-dialog-container.files-ng .install-linux-package-detail-label {
  color: var(--cros-text-color-primary);
  display: inline;
  margin-inline-end: 5px;
}

.cr-dialog-container:not(.files-ng) .install-linux-package-detail-value {
  display: inline;
  margin-bottom: 5px;
  white-space: pre-wrap;
}

.cr-dialog-container.files-ng .install-linux-package-detail-value {
  color: var(--cros-text-color-secondary);
  display: inline;
  margin-bottom: 5px;
  white-space: pre-wrap;
}

.drive-welcome-wrapper {
  /* drive_welcome.css will override it once loaded. */
  display: none;
}

list.autocomplete-suggestions {
  background-color: white;
  border-radius: 3px;
  box-shadow: 0 1px 4px 0 rgba(0, 0, 0, 50%);
  box-sizing: border-box;  /* To match the width with the search box's. */
  color: rgb(90, 90, 90);
  flex: none;
  margin-inline-start: -36px;
  margin-top: 10px;
  overflow: hidden;
  padding: 8px 0;
  position: fixed;
  width: 260px !important; /* This overrides the value specified by script. */
  z-index: 550;
}

list.autocomplete-suggestions > li {
  align-items: center;
  display: flex;
  height: 32px;
}

list.autocomplete-suggestions > li > div.detail-icon {
  flex: none;
  height: 32px;
  width: 32px;
}

list.autocomplete-suggestions > li > div.detail-text {
  flex: auto;
  overflow-x: hidden;
  text-overflow: ellipsis;
}

list.autocomplete-suggestions > li > div.detail-text em {
  color: rgb(150, 150, 150);
  font-style: normal;
}

list.autocomplete-suggestions > li > div[search-icon] {
  background: -webkit-image-set(
      url(../images/files/ui/search.png) 1x,
      url(../images/files/ui/2x/search.png) 2x) center no-repeat;
}

list.autocomplete-suggestions > [selected],
list.autocomplete-suggestions > [lead] {
  background-color: rgba(0, 0, 0, 8%);
}

body:not(.files-ng) #gear-menu,
body:not(.files-ng) #share-menu,
body:not(.files-ng) #sort-menu,
body:not(.files-ng) #tasks-menu {
  margin-top: 2px;
}

#gear-menu > cr-menu-item:not(.menuitem-button),
#sort-menu > cr-menu-item {
  margin-inline-end: 50px;
}

.cr-dialog-container:not(.files-ng) #suggest-app-dialog {
  background-color: #fff;
  border: 0;
  padding: 0;
  width: auto;
}

.cr-dialog-container.files-ng #suggest-app-dialog.cr-dialog-frame {
  max-width: unset !important;
  min-width: unset !important;
  width: 735px;
}

.cr-dialog-container:not(.files-ng) .suggest-apps-dialog-title.cr-dialog-title {
  /* Entire height: 44px (content-box 22px + padding 11px * 2) */
  font-size: 16px;
  line-height: 22px;
  margin: 0;
  padding: 11px 18px;
}

.cr-dialog-container:not(.files-ng) .suggest-apps-dialog-text.cr-dialog-text {
  margin: 0;
  padding: 0 20px 10px;
}

.cr-dialog-container:not(.files-ng) .cr-dialog-frame.error-dialog-frame {
  width: 300px;
}

.error-dialog-frame .error-dialog-img {
  background-image: -webkit-image-set(
    url(chrome://theme/IDR_ERROR_NETWORK_GENERIC) 1x,
    url(chrome://theme/IDR_ERROR_NETWORK_GENERIC@2x) 2x);
  background-position: center;
  background-repeat: no-repeat;
  height: 40px;
}

.error-dialog-frame .cr-dialog-cancel {
  display: none;
}

.error-dialog-frame .cr-dialog-close,
.error-dialog-frame .cr-dialog-title {
  display: none;
}

.error-dialog-frame .cr-dialog-text {
  text-align: center;
}

/* Feedback panels */

.files-feedback-panels {
  align-items: flex-end;
  bottom: 24px;
  display: flex;
  flex-direction: column;
  position: absolute;
  right: 24px;
  z-index: 502; /* Above splitter, but below quickview. */
}

.signals-overscroll {
  min-height: calc(68px + 24px);
}

files-toggle-ripple {
  bottom: 0;
  left: 0;
  position: absolute;
  right: 0;
  top: 0;
}

#quick-view {
  z-index: 505; /* Must be above the scroll bar (500). */
}

files-toast {
  /* Must be above the splitter (500) but below menu-like UI (550). */
  z-index: 520;
}

/* File type filter buttons in Recents view.
   TODO(fukino): The style is temporary. Revisit it before the feature is
   shipped. */
#file-type-filter-container {
  display: flex;
  font-size: 13px;
  height: 30x;
  margin-top: 5px;
}

.file-type-filter-button {
  align-items: center;
  /* don't use browser's default <button> background-color. */
  background-color: unset;
  border: 1px solid rgba(0, 0, 0, 10%);
  border-radius: 20px;
  box-sizing: border-box;
  color: var(--google-grey-700);
  cursor: pointer;
  display: flex;
  font-weight: 500;
  height: 32px;
  margin-inline-end: 3px;
  margin-inline-start: 3px;
  outline: none;
  padding: 0 10px;
}

.file-type-filter-button.active {
  background-color: rgba(var(--google-blue-600-rgb), 6%);
  border: 1px solid transparent;
  color: var(--google-blue-600);
}

.file-type-filter-button:not(:active):hover {
  background-color: rgba(0, 0, 0, 4%);
}

.file-type-filter-button.active:not(:active):hover {
  background-color: rgba(var(--google-blue-600-rgb), 10%);
}

html.pointer-active .file-type-filter-button:not(:active):hover {
  background-color: unset;
  cursor: default;
}

html.pointer-active .file-type-filter-button.active:not(:active):hover {
  background-color: rgba(var(--google-blue-600-rgb), 6%);
  cursor: default;
}

html.focus-outline-visible .file-type-filter-button:focus {
  border: 1px solid var(--google-blue-600);
}

.file-type-filter-button:active {
  background-color: rgba(0, 0, 0, 12%);
}

.file-type-filter-button.active:active {
  background-color: rgba(var(--google-blue-600-rgb), 16%);
}

/*
 * Preventing FOUC
 */
cr-input:not(:defined),
files-tooltip:not(:defined) {
  display: none;
}
